# Tokopedia React Development Kits (Treats)

Software development kits for Tokopedia Frontend-engineering with React. Learn more on our documentation.

## Getting Started
To get started with Treats, you can simply do the following:

```
> npm install -g create-treats-app
> create-treats-app
> cd /YOUR/APP/DIRECTORY
> yarn start
```

You don't need to configure webpack, babel, or any other build tools by yourself

## What's in the box?
1. React, JSX, ES6, and Flow (or TypeScript) syntax support.
2. Preconfigured Redux, GraphQL client and i18n out-of-the-box. *(You can disable Redux/GraphQL client if you're not using it, it'll only leave minimum trace in your build)*
3. Server-side rendering, code-splitting and hot-module replacement configured out-of-the-box.
4. CSS Modules support with CSS, LESS, or SASS syntax with autoprefixer, or use any CSS-in-JS library that you like!
5. A build script to bundle JS, CSS, images and other medias for production.
6. Built-in code generator so you wouldn't need to wrote another boilerplate codes.
7. Work out of the box with zero configuration for light usage, but easily customizable for power users. Treats is customizable with:
    - Custom Helpers (Server-side)
    - Custom Middlewares (Server-side)
    - Custom React App, Server App, GraphQL client & Redux Implementation, etc
    - Custom Webpack, Babel & PostCSS Config
8. Filesystem as your API *(all entry hooks file and folder are under `src/_**`)*

## Requirements
1. Node > 8.00

## License
Apache 2.0
